Method: organizations.updateBoundaryConfig

Updates the BoundaryConfig identified by the specified name (for example, folders/123456789/boundaryConfig).

HTTP request

PATCH https://cloudresourcemanager.googleapis.com/v3/{boundaryConfig.name=organizations/*/boundaryConfig}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
boundaryConfig.name

string

Identifier. The unique resource name of the BoundaryConfig. Format: - organizations/{organization}/boundaryConfig - folders/{folder}/boundaryConfig Example: folders/123456789/boundaryConfig

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of BoundaryConfig.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.